List all PostgreSQL databases
curl --request GET \
--url https://api.ubicloud.com/project/{project_id}/postgres \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ubicloud.com/project/{project_id}/postgres"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ubicloud.com/project/{project_id}/postgres', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"items": [
{
"flavor": "<string>",
"ha_type": "<string>",
"target_server_count": 123,
"id": "pgn30gjk1d1e2jj34v9x0dq4rp",
"location": "<string>",
"name": "<string>",
"state": "<string>",
"storage_size_gib": 123,
"vm_size": "<string>",
"maintenance_window_start_at": 123,
"read_replica": true,
"fallback_active": true,
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"target_storage_size_gib": 123,
"target_vm_size": "<string>",
"ca_certificates": "<string>",
"parent": "<string>"
}
]
}{
"error": {
"code": 401,
"message": "There was an error logging in",
"type": "InvalidCredentials",
"details": {}
}
}Postgres Database
List all PostgreSQL databases
GET
/
project
/
{project_id}
/
postgres
List all PostgreSQL databases
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the project
Pattern:
^pj[0-9a-hj-km-np-tv-z]{24}$Example:
"pjkkmx0f2vke4h36nk9cm8v8q0"
Query Parameters
Filter by tags in key:value format (comma-separated for multiple tags)
Example:
"environment:production,team:backend"
Pagination - Start after
Pagination - Page size
Pagination - Order column
Upgrade a PostgreSQL database to the next major versionGet available PostgreSQL provisioning options
⌘I